---
title: "Get details of a particular final workflow version"
slug: "get-details-of-a-particular-final-workflow-version"
updated: 2026-04-04T02:22:39Z
published: 2026-04-04T02:22:47Z
canonical: "support.fortanix.com/get-details-of-a-particular-final-workflow-version"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get details of a particular final workflow version

Get/v1/workflows/final/graphs/{graph-id}/{version}

Get details of a particular final workflow version

SecurityAPI Key: bearerTokenHeader parameter nameAuthentication

A JWT bearer token to be passed once authenticated.

Path parametersgraph-idstring (uuid) Required

UUID of a graph.

versionstringRequired

Version of a graph.

Query parametersacct_idstring (uuid) 

Account which owns the final workflow

Responses200<select class='api-response-data' aria-label='Media type'><option value='97c9fd91-0e37-4ea5-811d-d5e18aa5a9b1'>application/json</option>
</select>Expand Allobject  graph_idstring  (uuid)    
namestring    
descriptionstring    
versionstring    
contentsobject (FinalWorkflowGraph)  created_atinteger  (int64)    

Dataset creation time.

objectsobject  property*object (WorkflowObject)  additionalPropertiesnamestring    
user_idstring  (uuid)    
descriptionstring    
refobject (WorkflowObjectRef)  placeholderobject (WorkflowObjectRefPlaceholder)  kindstring    Valid values[
  "dataset",
  "app",
  "script"
]
acct_idstring  (uuid)    
group_idstring  (uuid)    

datasetobject (WorkflowObjectRefDataset)  dataset_idstring  (uuid)    
acct_idstring  (uuid)    
group_idstring  (uuid)    

appobject (WorkflowObjectRefApp)  image_idstring  (uuid)    
config_idstring    
acct_idstring  (uuid)    
group_idstring  (uuid)    

edgesobject  property*object (WorkflowEdge)  additionalPropertiessourceobject (WorkflowEdgeLink)  idstring    
portstring    

targetobject (WorkflowEdgeLink)  idstring    
portstring    

metadataobject (WorkflowMetadata)  nodesobject  property*object  additionalProperties

parentobject (WorkflowLinkMetadata)  

The final workflow from which this draft was derived. This field may point to a deleted final workflow in which you should treat it as if it's not present.

graph_idstring  (uuid)    
source_versioninteger    

projectstring    

runtime_configsobject  property*object (WorkflowObjectFinalApp)  additionalPropertiesimage_idstring  (uuid)    
config_idstring    
deploymentobject (WorkflowAppDeployment)  

Deployment info for an app. Exactly one of kubernetes or aci field must be set.

kubernetesobject (WorkflowAppKubernetes)  job_specobject  

aciobject (WorkflowAppAci)  exposed_ports Array of object (DockerNetworkPort)   

List of ports exposed for the azure container instance.

object  

A port exposed by a docker container.

portinteger    

A valid, specific port number from 1..65535 (inclusive).

protocolstring    

Protocol Associated with a Port exposed by a docker container.

Valid values[
  "Tcp",
  "Udp"
]

env_varsobject  property*string    additionalProperties

child_nodes Array of string   string    

deploymentobject (WorkflowDeployment)  

Deployment info for a workflow. Exactly one of kubernetes_single_job or aci_single_job field must be set.

kubernetes_single_jobobject (KubernetesSingleJob)  namespacestring    
cluster_idstring  (uuid)    

aci_single_jobobject (AciSingleJob)  cluster_idstring  (uuid)    
deployment_locationstring    

labelsobject  property*string    additionalProperties
